SND_SOC_COMPONENT_UP(9)

NAME
snd_soc_component_update_bits_async - Perform asynchronous read/modify/write cycle

SYNOPSIS

int snd_soc_component_update_bits_async(struct snd_soc_component * component, unsigned int reg, unsigned int mask, unsigned int val);

ARGUMENTS

component
    Component to update

reg
    Register to update

mask
    Mask that specifies which bits to update

val
    New value for the bits specified by mask

DESCRIPTION

This function is similar to snd_soc_component_update_bits, but the update operation is scheduled asynchronously. This means it may not be completed when the function returns. To make sure that all scheduled updates have been completed snd_soc_component_async_complete must be called.

RETURN

1 if the operation was successful and the value of the register changed, 0 if the operation was successful, but the value did not change. Returns a negative error code otherwise.

COPYRIGHT